curl --request GET \
--url https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/current \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/current"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"iteration": {
"created_at": "2016-10-13T18:08:00+00:00",
"end_on": "2023-05-31T00:00:00.000Z",
"guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
"iteration_number": 1,
"spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
"start_on": "2023-05-01T00:00:00.000Z",
"updated_at": "2016-10-13T18:09:00.000Z",
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
},
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Read current iteration
This endpoint returns information about the current iteration associated to the spending_plan.
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for the spending plan. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
The date and time at which the spending_plan_iteration was created.
"2016-10-13T18:08:00+00:00"
The date the spending plan iteration ends.
"2023-05-31T00:00:00.000Z"
The unique identifier for the spending_plan_account. Defined by MX.
"SPI-848e6648-3fa3-4632-ac8f-e65f03167102"
The current iteration number for the spending plan iteration.
1
The unique identifier for the spending_plan associated with the spending_plan_account. Defined by MX.
"SPL-dbfe201d-c341-4bff-93c0-62a918d0b600"
The date the spending plan iteration starts.
"2023-05-01T00:00:00.000Z"
The date and time at which the spending_plan_account was most recently updated.
"2016-10-13T18:09:00.000Z"
The unique identifier for the user to which the spending_plan_account belongs. Defined by MX.
"USR-72086f59-6684-4adf-8f29-c4d32db43cd7"

